<?php
/**
 * Review Order After Shipping EasyPack
 *
 * @author
 * @package    EasyPack/Templates
 * @version
 */

use InspireLabs\WooInpost\Geowidget_v5;

$parcel_machine_selected = false;
$selected                = '';


?>

<tr class="easypack-parcel-machine">
    <th class="easypack-parcel-machine-label">
		<?php __( 'Select Parcel Locker', EasyPack()::getTextDomain() ); ?>
    </th>
    <td class="easypack-parcel-machine-select">
		<?php if ( defined( 'DOING_AJAX' ) && true === DOING_AJAX ): ?>


            <button class="button alt" id="eqasypack_show_geowidget">
				<?php echo __( 'Select parcel locker',
					EasyPack()::getTextDomain() ); ?></button>

            <script type="text/javascript">
                var geowidgetModal;


                function selectPointCallback(point) {
                    parcelMachineAddressDesc = point.location_description;
                    jQuery('.parcel_machine_id').val(point.name);
                    jQuery('.parcel_machine_desc').val(parcelMachineAddressDesc);
                    jQuery('#selected-parcel-machine').removeClass('hidden');
                    jQuery('#selected-parcel-machine-id').html(point.name + ' (' + point.location_description + ')');
                    geowidgetModal.close()
                    //jQuery('#inpost-geowidget').remove()
                }


                jQuery(document).ready(function () {

                    if (geowidgetBugWorkaroundRefresh === true) {
                        location.reload()
                    }

                    geowidgetModal = new jBox('Modal', {
                        width: <?php echo Geowidget_v5::GEOWIDGET_WIDTH ?>,
                        height: <?php echo Geowidget_v5::GEOWIDGET_HEIGHT ?>,
                        attach: '#eqasypack_show_geowidget',
                        title: '<?php echo __( 'Select parcel locker',
							EasyPack()::getTextDomain() ); ?></a>',
                        content: `<?php printf( '<inpost-geowidget id="inpost-geowidget" onpoint="selectPointCallback"
                    token="%s"
                    language="pl" config="%s"></inpost-geowidget>',
							( new Geowidget_v5() )->get_token(),
							( new Geowidget_v5() )->get_pickup_delivery_configuration( $shipping_method_id ) )?>`
                    });


                    jQuery('#eqasypack_show_geowidget').click(function (e) {
                        e.preventDefault();
                        return true
                    });

                    geowidgetBugWorkaroundRefresh = true
                });


            </script>


            <div id="selected-parcel-machine" class="hidden">
                <div><span class="font-height-600">
                <?php echo __( 'Selected Parcel Locker:',
	                EasyPack()::getTextDomain() ); ?>
                </span></div>
                <span class="italic" id="selected-parcel-machine-id"></span>
            </div>

            <!--
            <div id="easypack-map" style="min-width: 400px; height: 400px; margin: 20px auto!important;">
                <div id="<?php /*echo $randomId */ ?>"></div>
            </div>-->


		<?php else: ?>

		<?php endif ?>


    </td>
</tr>
