<?php

return;//API nie obsługuje rachunków
$accounts = get_option('woocommerce_bacs_accounts');
$options = [];

foreach ($accounts as $item) {
    if (empty($item['iban']))continue;
    $options[$item['iban']] = $item['account_name'] . ': ' . $item['iban'];
}

$custom_attributes = array('style' => 'width:100%;');
if ($disabled) {
    $custom_attributes['disabled'] = 'disabled';
}

$params = array(
    'type'    => 'select',
    'options' => $options,
    'class'             => array('wc-enhanced-select'),
    'custom_attributes' => $custom_attributes,
    'label'             => __('Selected bank account', EasyPack::$text_domain),
);
woocommerce_form_field('parcel_machine_id', $params, $parcel_machine_id);
