<?php

namespace InspireLabs\WooInpost\shipping;

use WC_Shipping_Method;
use WC_Shipping_Rate;

class Easypack_Shipping_Rates
{

    public function init()
    {


        add_action('woocommerce_after_shipping_rate', function ($method, $index) {
            /**
             * @var WC_Shipping_Rate $method
             */

            if (strpos($method->get_method_id(), 'easypack_') === false) {
                return;//none inpost method
            }

            $meta = $method->get_meta_data();
            if (is_array($meta) && isset($meta['logo'])) {
                $custom_logo = $meta['logo'];
            }

            if (empty($custom_logo)) {
                $img
                    = ' <span class="easypack-shipping-method-logo"><img style="" src="'
                    . EasyPack()->getPluginImages()
                    . 'logo/small/white.png" /><span>';
            } else {
                $img
                    = ' <span class="easypack-shipping-method-logo"><img style="" src="'
                    . $custom_logo . '" /><span>';
            }
            echo $img;

        }, 10, 2);
    }
}
